Loading...
Searching...
No Matches
compress.h File Reference
`#include <grass/config.h>`
`#include <grass/gis.h>`
Include dependency graph for compress.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | compressor_list

## Typedefs

typedef int | compress_fn(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
typedef int | expand_fn(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
typedef int | bound_fn(int src_sz)

## Functions

int | G_no_compress_bound (int)
int | G_rle_compress_bound (int)
int | G_zlib_compress_bound (int)
int | G_lz4_compress_bound (int)
int | G_bz2_compress_bound (int)
int | G_zstd_compress_bound (int)

## Variables

struct compressor_list | compressor []

## Typedef Documentation

## bound_fn

typedef int bound_fn(int src_sz)

Definition at line 32 of file compress.h.

## compress_fn

typedef int compress_fn(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)

Definition at line 28 of file compress.h.

## expand_fn

typedef int expand_fn(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)

Definition at line 30 of file compress.h.

## Function Documentation

## G_bz2_compress_bound()

int G_bz2_compress_bound | ( | int | src_sz | ) |

Definition at line 72 of file cmprbzip.c.

Referenced by G_bz2_compress().

## G_lz4_compress_bound()

int G_lz4_compress_bound | ( | int | src_sz | ) |

Definition at line 70 of file cmprlz4.c.

References LZ4_compressBound().

Referenced by G_lz4_compress().

## G_no_compress_bound()

int G_no_compress_bound | ( | int | src_sz | ) |

Definition at line 150 of file compress.c.

## G_rle_compress_bound()

int G_rle_compress_bound | ( | int | src_sz | ) |

Definition at line 68 of file cmprrle.c.

## G_zlib_compress_bound()

int G_zlib_compress_bound | ( | int |  | ) |

## G_zstd_compress_bound()

int G_zstd_compress_bound | ( | int | src_sz | ) |

Definition at line 72 of file cmprzstd.c.

References G_fatal_error().

Referenced by G_zstd_compress().

## Variable Documentation

## compressor

struct compressor_list compressor[]

Initial value:
= {
{1, G_no_compress, G_no_expand, G_no_compress_bound, "NONE"},
{1, G_rle_compress, G_rle_expand, G_rle_compress_bound, "RLE"},
{1, G_zlib_compress, G_zlib_expand, G_zlib_compress_bound, "ZLIB"},
{1, G_lz4_compress, G_lz4_expand, G_lz4_compress_bound, "LZ4"},
{0, G_bz2_compress, G_bz2_expand, G_bz2_compress_bound, "BZIP2"},
{0, G_zstd_compress, G_zstd_expand, G_zstd_compress_bound, "ZSTD"},
{0, NULL, NULL, NULL, NULL}}
NULL
#define NULL
Definition ccmath.h:32
G_bz2_compress
int G_bz2_compress(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprbzip.c:85
G_bz2_expand
int G_bz2_expand(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprbzip.c:168
G_bz2_compress_bound
int G_bz2_compress_bound(int src_sz)
Definition cmprbzip.c:72
G_lz4_compress
int G_lz4_compress(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprlz4.c:78
G_lz4_expand
int G_lz4_expand(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprlz4.c:146
G_lz4_compress_bound
int G_lz4_compress_bound(int src_sz)
Definition cmprlz4.c:70
G_rle_compress_bound
int G_rle_compress_bound(int src_sz)
Definition cmprrle.c:68
G_rle_compress
int G_rle_compress(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprrle.c:73
G_rle_expand
int G_rle_expand(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprrle.c:139
G_zstd_compress_bound
int G_zstd_compress_bound(int src_sz)
Definition cmprzstd.c:72
G_zstd_compress
int G_zstd_compress(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprzstd.c:86
G_zstd_expand
int G_zstd_expand(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition cmprzstd.c:162
G_no_compress
int G_no_compress(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition compress.c:155
G_no_compress_bound
int G_no_compress_bound(int src_sz)
Definition compress.c:150
G_no_expand
int G_no_expand(unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
Definition compress.c:176
G_zlib_compress_bound
int G_zlib_compress_bound(int)

Definition at line 53 of file compress.h.

Referenced by G_check_compressor(), G_compress(), G_compress_bound(), G_compressor_name(), G_compressor_number(), and G_expand().